KeyListeners Plugin - Defect #89

keyListeners attached methods don't finish execution
07/15/2010 05:55 PM - Patrick Talbot

Status: Closed Start date: 07/15/2010
Priority: Normal Due date:

Assignee: Patrick Talbot % Done: 50%
Category: Estimated time: 0.00 hour

Target version:

Browser (if web
client):

Description

With 5.1.x methods calls from keyListeners event are called ok, but if the field lose focus, the rest of the method is not properly
executed.

Reported on behalf of Serge Lesouef

History

#1 - 07/15/2010 06:19 PM - Patrick Talbot

Example:

function key_trigger ()
{
var evt = arguments[0];
if (evt && evt instanceof java.awt.event.KeyEvent)
{
ct_search(); // execute a search, which loses focus
elements.nom_search.requestFocus () ;
// is not executed. if called from inside the ct_search() it works though
}
}

#2 - 07/28/2010 05:46 AM - Patrick Talbot

- Status changed from New to In Progress

#3 - 07/28/2010 05:49 AM - Patrick Talbot

Just tried with 5.2 and it works fine, calling a search, then having the focus reset from inside the callback method did work for me (Win XP, Servoy
5.2, Java 32-bit 1.6.0_20)

Will give it a try with 5.1.4...

Otherwise can you be more specific about your environment? System/Servoy/Java?

#4 - 07/28/2010 05:55 AM - Patrick Talbot

- % Done changed from 0 to 50

5.1.4 works fine too for me.

Could you send me a sample solution to test that, and give me more info about your environment?

Thanks!

#5 - 08/09/2010 05:47 AM - Patrick Talbot

- Status changed from In Progress to Closed

| will close this one since | cannot reproduce.
If you have a case where this behavior happens please reopen and attach it to the issue.

Thanks!
